---
title: DOMException.message
slug: Web/API/DOMException/message
tags:
  - API
  - DOMException
  - Property
  - Reference
  - message
---
<p>{{ APIRef("DOM") }}</p>

<p>The <strong><code>message</code></strong> read-only property of the {{domxref("DOMException")}} interface returns a {{ domxref("DOMString") }} representing a message or description associated with the given <a href="/en-US/docs/Web/API/DOMException#Error_names">error name</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var domExceptionMessage = domExceptionInstance.message;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebIDL', '#dom-domexception-message', 'message')}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.DOMException.message")}}</p>
